<ng-container [formGroup]="formGroup">
  <div class="my-2">

    <!--Username-->
    <label [with-invalid-validator-class]=""
           [instance]="formGroup.get(controlNames.username)">Username</label>
    <div class="mb-2">
      <input class="form-control"
             [with-invalid-validator-class]=""
             [formControlName]="controlNames.username">
      <cms-validation-summarizer [instance]="formGroup.get(controlNames.username)"
                                 [label]="'Username'"
                                 [maximum-messages]="1"></cms-validation-summarizer>
    </div>

    <!--Password-->
    <label>Password</label>
    <div class="mb-2">
      <input class="form-control"
             [with-invalid-validator-class]="'is-invalid'"
             [formControlName]="controlNames.password">
      <cms-validation-summarizer [instance]="formGroup.get(controlNames.password)"
                                 [label]="'Password'"
                                 [maximum-messages]="1"></cms-validation-summarizer>
    </div>

    <button class="btn btn-outline-primary"
            type="button"
            (click)="doValidation()">
      Do validation
    </button>
  </div>
</ng-container>
